Loading...
Searching...
No Matches
NcvRect32s Struct Reference

`#include </build/pcl-FTI9wM/pcl-1.15.1+dfsg/gpu/people/src/cuda/nvidia/NCV.hpp>`

## Public Member Functions

__host__ __device__ | NcvRect32s ()
__host__ __device__ | NcvRect32s (Ncv32s x, Ncv32s y, Ncv32s width, Ncv32s height)

## Public Attributes

Ncv32s | x
| x-coordinate of upper left corner.
Ncv32s | y
| y-coordinate of upper left corner.
Ncv32s | width
| Rectangle width.
Ncv32s | height
| Rectangle height.

## Detailed Description

Definition at line 138 of file NCV.hpp.

## Constructor & Destructor Documentation

## NcvRect32s() [1/2]

__host__ __device__ NcvRect32s::NcvRect32s | ( |  | ) |

inline

Definition at line 144 of file NCV.hpp.

References height, width, x, and y.

## NcvRect32s() [2/2]

__host__ __device__ NcvRect32s::NcvRect32s | ( | Ncv32s | x,
|  | Ncv32s | y,
|  | Ncv32s | width,
|  | Ncv32s | height )

inline

Definition at line 145 of file NCV.hpp.

References height, width, x, and y.

## Member Data Documentation

## height

Ncv32s NcvRect32s::height

Rectangle height.

Definition at line 143 of file NCV.hpp.

Referenced by NcvRect32s(), and NcvRect32s().

## width

Ncv32s NcvRect32s::width

Rectangle width.

Definition at line 142 of file NCV.hpp.

Referenced by NcvRect32s(), and NcvRect32s().

## x

Ncv32s NcvRect32s::x

x-coordinate of upper left corner.

Definition at line 140 of file NCV.hpp.

Referenced by NcvRect32s(), and NcvRect32s().

## y

Ncv32s NcvRect32s::y

y-coordinate of upper left corner.

Definition at line 141 of file NCV.hpp.

Referenced by NcvRect32s(), and NcvRect32s().

The documentation for this struct was generated from the following file:

- /build/pcl-FTI9wM/pcl-1.15.1+dfsg/gpu/people/src/cuda/nvidia/NCV.hpp